commit 3c792b69c19b00022676bb51fcf363f28196bf5a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Dec 27 01:19:35 2025

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 1d19e408aff..7c867c8c3a9 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251226
+20251227
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index d75ccf3b2e8..0f350f2b8a3 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,21 @@
+2025-12-26  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	PR ada/123088
+	* sem_aggr.adb (Resolve_Record_Aggregate): Add more robust guard.
+
+2025-12-26  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	PR ada/123302
+	* sem_ch12.adb (Save_Global_Reference.Save_References_In_Aggregate):
+	Recurse on the scope of the type to find one that is visible, in the
+	case of an actual in a subprogram call with a local type.
+
+2025-12-26  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	PR ada/123289
+	* sem_ch13.adb (Resolve_Aspect_Aggregate.Resolve_Operation): Give
+	an error if the operation's name denotes more than one subprogram.
+
 2025-12-25  Eric Botcazou  <ebotcazou@adacore.com>
 
 	PR ada/123185
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index a964b5044a3..290a828436f 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,14 @@
+2025-12-26  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	* gnat.dg/aggr34.adb: New test.
+	* gnat.dg/aggr34_pkg1.ads, gnat.dg/aggr34_pkg1.adb: New helper.
+	* gnat.dg/aggr34_pkg2.ads, gnat.dg/aggr34_pkg2.adb: Likewise.
+	* gnat.dg/aggr34_pkg3.ads: Likewise.
+
+2025-12-26  Eric Botcazou  <ebotcazou@gcc.gnu.org>
+
+	* gnat.dg/specs/aggr9.ads: New test.
+
 2025-12-25  Eric Botcazou  <ebotcazou@adacore.com>
 
 	* gnat.dg/specs/class_wide1.ads: New test.

